/**
 * Validator for problem garden.
 */

#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) 
{
  registerValidation(argc, argv);
  int n = inf.readInt(2, 7, "number of boards");
  inf.readEoln();
  for (int i = 0; i < n; ++i) 
  {
    inf.readInt(1, 100'000'000, "board size");
    if (i < n - 1)
      inf.readSpace();
  }
  inf.readEoln();
  inf.readEof();
  return 0;
}
